Bug 134129 - gaim hangs when receiving message with Automatic sound enabled
gaim hangs when receiving message with Automatic sound enabled
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libao (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-29 14:59 EDT by Christopher Aillon
Modified: 2007-11-30 17:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 19:27:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Aillon 2004-09-29 14:59:39 EDT
Description of problem:

Receive a message while you have sound set up as automatic.  Oddly
enough, the hang does not happen if sound is set up to go through ESD
(or anything else).

> rpm -q gaim esound
gaim-1.0.0-5
esound-0.2.35-2



(gdb) bt
#0  0x006a2b5c in connect () from /lib/tls/i686/libc.so.6
#1  0x003e0c02 in esd_resume () from /usr/lib/libesd.so.0
#2  0x003e12f2 in esd_open_sound () from /usr/lib/libesd.so.0
#3  0x003d9951 in ao_plugin_test () from /usr/lib/ao/plugins-2/libesd.so
#4  0x00b13d8f in ao_default_driver_id () from /usr/lib/libao.so.2
#5  0x00a9673b in _pref_sound_method_changed (name=0x9084ca2 "",
    type=GAIM_PREF_STRING, val=0x9084c98, data=0x0) at gtksound.c:336
#6  0x00a23c7c in do_callbacks (name=0xaae7ee "/gaim/gtk/sound/method",
    pref=0x9084c48) at prefs.c:394
#7  0x00a960cc in gaim_gtk_sound_play_file (
    filename=0x92f6708 "/usr/share/sounds/gaim/receive.wav") at
gtksound.c:145
#8  0x00a2f43e in gaim_sound_play_file (
    filename=0xfffffe00 <Address 0xfffffe00 out of bounds>) at sound.c:66
#9  0x00a965e6 in gaim_gtk_sound_play_event (event=4294966784)
    at gtksound.c:298
#10 0x00a2f49a in gaim_sound_play_event (event=4294966784) at sound.c:75
#11 0x00a62af3 in gaim_gtkconv_write_im (conv=0x928e618,
    who=0xfffffe00 <Address 0xfffffe00 out of bounds>,
    message=0xfffffe00 <Address 0xfffffe00 out of bounds>,
    flags=GAIM_MESSAGE_RECV, mtime=-512) at gtkconv.c:5038
#12 0x00a0e72e in gaim_conv_im_write (im=0xfffffe00, who=0x0,
    message=0x928eb60 "foo", flags=GAIM_MESSAGE_RECV, mtime=1096483661)
    at conversation.c:1686
#13 0x00a2b460 in serv_got_im (gc=0x911cac8, who=0x910ad40
"InsertScreenNameHere",
    msg=0x92f6528 "foo", imflags=0, mtime=1096483661) at server.c:1076
#14 0x00c568bf in gaim_parse_incoming_im (sess=0x910eee0, fr=0xfffffe00)
    at oscar.c:3279
#15 0x00c418da in snachandler (sess=0x910eee0, mod=0x9118300,
rx=0x92f6350,
    snac=0xfee7b0f0, bs=0x92f635c) at im.c:1521
#16 0x00c465d5 in aim_rxdispatch (sess=0x910eee0) at rxhandlers.c:138
#17 0x00c51105 in oscar_callback (data=0xfffffe00, source=10,
    condition=GAIM_INPUT_READ) at oscar.c:1560
#18 0x00a6c849 in gaim_gtk_io_invoke (source=0xfffffe00,
condition=4294966784,
    data=0x92241a8) at gtkeventloop.c:61
#19 0x003496b7 in g_io_unix_dispatch (source=0x9224670,
    callback=0xa6c803 <gaim_gtk_io_invoke>, user_data=0xfffffe00)
    at giounix.c:161
#20 0x003254fb in g_main_context_dispatch (context=0x907f3a0) at
gmain.c:1942
#21 0x00326f82 in g_main_context_iterate (context=0x907f3a0, block=1,
    dispatch=1, self=0x9097308) at gmain.c:2573
#22 0x0032722f in g_main_loop_run (loop=0x9224630) at gmain.c:2777
#23 0x00f3469e in gtk_main () at gtkmain.c:1173
#24 0x00a9c6e9 in main (argc=1, argv=0xfee81564) at main.c:911



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Christopher Aillon 2004-09-29 15:13:03 EDT
#0  0x003afb5c in connect () from /lib/tls/i686/libc.so.6
#1  0x00526c02 in esd_connect_tcpip (host=0x0) at esdlib.c:501
#2  0x005272f2 in esd_open_sound (host=0x0) at esdlib.c:720
#3  0x00411951 in ao_plugin_test () at ao_esd.c:65
#4  0x00b30d8f in ao_default_driver_id () at audio_out.c:182
Comment 2 Christopher Aillon 2004-09-29 15:14:41 EDT
Note that both stacks above are for changing the pref to Automatic. 
After I changed it, it stuck somehow and now when trying to go back to
automatic, I get the same hang.
Comment 3 Colin Walters 2004-09-30 13:17:17 EDT
Is esd running?
Comment 4 Christopher Aillon 2004-09-30 19:27:30 EDT
With the new libao from this morning, this seems fixed.

Note You need to log in before you can comment on or make changes to this bug.